Ramp: Upload tax code options — request body — body options item
Upload tax code options: request body, field body / options / item. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Upload tax code options — request body — body options item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
entity_remote_ids | array | Optional | Remote/external IDs of entities created through POST /developer/v1/accounting/entities that this tax code option should be available for. Omit this field to make the option available for all connected entities on accounting connections with entity selection enabled. Minimum items: 1 |
entity_remote_ids[] | string | Each item | Minimum length: 1 |
id | string | Required within parent | The external ID of the tax code option. This is the ID in your ERP system. |
name | string | Required within parent | The name of the tax code option. |
tax_rate_ids | array | Optional | A list of external tax rate IDs (remote_id values) to associate with this tax code option. |
tax_rate_ids[] | string | Each item |